The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

Релиз свободного Flash-плеера Gnash 0.8.9

20.03.2011 23:38

После семи месяцев разработки представлен релиз свободного Flash-плеера Gnash 0.8.9, исходные тексты которого распространяются в рамках лицензии GPLv3. Gnash совместим с форматом SWF версии v7 и частично с v8, v9 и v10, содержит реализацию классов ActionScript 2 и 3 для SWF версии 8.5, может проигрывать FLV ролики YouTube, поддерживает обмен XML-сообщениями с сервером. Gnash может работать как в виде отдельного плеера для GNOME и KDE, так и в виде плагина для web-браузеров Mozilla, Chrome и Konqueror.

Из новшеств Gnash 0.8.9 можно отметить:

  • При использовании Gnash в форме плагина для Firefox 4 обеспечена поддержка прекращения операций отрисовки для скрытых окон;
  • Улучшена совместимость NPAPI-плагина Gnash с web-браузером Chromium, исправлена проблема с открытием относительных URL и исключено блокирование родительского процесса;
  • Поддержка SWF-файлов со встроенным блоком ScreenVideo, при использовании Gnash совместно с ffmpeg или gstreamer-ffmpeg (начиная с версии 0.10.12);
  • Базовые библиотеки теперь реентерабельны, т.е. могут одновременно быть использованы разными потоками. Теперь Gnash более не зависит от одиночной виртуальной машины и сборщика мусора;
  • Поддержка создания скриншотов в формате JPEG;
  • Поддержка RTMP (Real Time Messaging Protocol);
  • Увеличена производительность выполнения ActionScript, особенно интерактивных приложений;
  • Возобновлена поддержка сборки с использованием инструментария mingw32;
  • В утилите dump-gnash улучшена производительность, синхронность и гибкость;
  • Поддержка использования линейной RGB-интерполяции при заливке градиентов;
  • В GTK-плеере добавлены настройки буфера обмена;
  • Устранены проблемы при проигрывании с привлечением GStreamer потоков MPEG4, а также встроенного в SWF-файлы ADPCM и PCM звука;
  • Реализованы дополнительные функции из категории flash.geom.Rectangle;
  • Исправлено несколько ошибок, которые приводили к краху. Расширено число автоматизированных тестов для проверки всех возможных входных значений ActionScript API;
  • Улучшена поддержка 8 версии формата SWF: реализованы BitmapData.draw, BitmapData.loadBitmap и другие функции обработки битовых карт;
  • Обеспечена поддержка PNG и GIF файлов во всех тегах DefineBitsJpeg. Добавлена поддержка тегов DefineBitsJpeg4 и налажено отображение некоторых многослойных GIF;
  • Улучшена совместимость с ОС OpenBSD.

Бинарные пакеты Gnash для Debian, Ubuntu и Fedora можно загрузить с сайта getgnash.org (список доступных репозиториев с новой версией Gnash). Из процессорных архитектур поддерживаются x86, ARM, MIPS, PowerPC и 64-разрядные платформы.

  1. Главная ссылка к новости (http://www.gnashdev.org/?q=nod...)
  2. OpenNews: Релиз свободного Flash-плеера Gnash 0.8.8
  3. OpenNews: Кризис в разработке свободного Flash-плеера Gnash
  4. OpenNews: Доступен релиз свободного Flash-плеера Gnash 0.8.7
  5. OpenNews: Доступна новая версия свободного Flash-плеера Gnash - 0.8.6
  6. OpenNews: Выпущен релиз свободного Flash-плеера Gnash 0.8.5
Лицензия: CC-BY
Тип: Программы
Короткая ссылка: https://opennet.ru/29972-Gnash
Ключевые слова: Gnash, flash
При перепечатке указание ссылки на opennet.ru обязательно
Обсуждение (46) Ajax | 1 уровень | Линейный | +/- | Раскрыть всё | RSS
  • 1.1, Vitold S (?), 00:53, 21/03/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    YouTube работает?
     
     
  • 2.3, Толстый_ (?), 01:58, 21/03/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Тот же вопрос интересует. Если работает - то почему бы им не прикрутить аппаратное ускорение видео на карточках ATI, потому что сейчас поддерживается только nvidia.
     
     
  • 3.11, Zenittur (?), 09:06, 21/03/2011 [^] [^^] [^^^] [ответить]  
  • +/
    YouTube работает с версии 0.7. VAAPI не знаю точно с какой, но работает. Версия 0.8.8 правда у меня с YouTube стала ху2 работать, сменил на HTML5.
     
     
  • 4.14, Анон (?), 10:44, 21/03/2011 [^] [^^] [^^^] [ответить]  
  • +/
    А какое ускорение на карточках RV410 и иже с ними, подсказите, плз?
     
     
  • 5.30, Zenittur (?), 17:46, 21/03/2011 [^] [^^] [^^^] [ответить]  
  • +/
    > А какое ускорение на карточках RV410 и иже с ними, подсказите, плз?

    Не имею такой. У меня R600 и Gnash с VA-API, бекенд XvBA 0.7.8.

     
  • 4.35, Толстый (ok), 20:17, 21/03/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Ух ты, круто! Спасибо, попробую. А вообще, он шустрее работает чем обычный Flash?
     
  • 2.5, Аноним (-), 02:57, 21/03/2011 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Всегда работал.
     
     
  • 3.12, Аноним (-), 09:26, 21/03/2011 [^] [^^] [^^^] [ответить]  
  • +/
    не всегда, да и вообще кое-как показывал простые анимации
     
     
  • 4.25, Аноним (-), 17:14, 21/03/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Ютуб всегда работал, не помню уже с какой версии. Из остального - да, почти ничего не работало.
     
  • 2.20, Аноним (-), 12:32, 21/03/2011 [^] [^^] [^^^] [ответить]  
  • +2 +/
    Меня больше интересует, работает ли там что-нибудь, кроме YouTube.
     
     
  • 3.26, Аноним (-), 17:14, 21/03/2011 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > Меня больше интересует, работает ли там что-нибудь, кроме YouTube.

    Нет. А кроме youtube ничего полезного на флеше и нет.

     

  • 1.2, Аноним (-), 00:57, 21/03/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +2 +/
    Грузить проц перестал? Есть какие-нибудь графики, показывающие отличия от 0.8.8?
     
  • 1.4, Mif (?), 02:36, 21/03/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • –1 +/
    есть те кто чисто его использует вместо адобафлеш, напишите отзывы как оно вообще можно пользоваться, большую чать контента отображает или так через раз?
     
     
  • 2.6, Аноним (-), 02:59, 21/03/2011 [^] [^^] [^^^] [ответить]  
  • –2 +/
    > есть те кто чисто его использует вместо адобафлеш, напишите отзывы как оно
    > вообще можно пользоваться, большую чать контента отображает или так через раз?

    Видео показывает, остальное не нужно.

     
     
  • 3.7, dimqua (ok), 03:36, 21/03/2011 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Не везде, к сожалению.
     
     
  • 4.13, QuAzI (ok), 09:36, 21/03/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Точнее уже почти нигде. Почему очень ожидается два события: Релизный FF4 (который уже с поддержкой WebM) и когда гугля сподобится на купленном ютубе дожать ВСЕ ролики в WebM. Ну и ещё когда гугля исправит отваливание в профиле признака включения HTML5
     
     
  • 5.23, Stax (ok), 16:43, 21/03/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Прежде чем дожимать, пусть лучше то, что есть, пожмут нормально. Любой HD-ролик, куда не глянь, видится как "только 360p", если включить html5/webm режим в ютубе. Смотришь и думаешь "что за фигня, почему написано HD а разрешение выше 360 не поставить?" Выключаешь html5, перезапускаешь ролик, ба! а во флеш-проигрывателе и 720p и 1080p есть.

    Прямо компрометируют html5 :-/ любой, кто его включит на ютубе, будет все ролики принудительно смотреть в низком качестве.

     
     
  • 6.29, Zenittur (?), 17:42, 21/03/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Я видел и 1080 с HTML5 (Chromium). Зависит от видео наверное: не каждое сконвентировано, и судя по вашему посту не каждое HD-видео сконвертировано. Кстати говоря, я разобрался как с HTML5 открывать на весь экран (точнее, подсмотрел в ЛОР). F11.
     
  • 5.24, Анон (?), 17:02, 21/03/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Гугл, вконтакт, порнотьюбы показывает. Чего нехватает?
     
  • 3.16, StrangeAttractor (ok), 11:22, 21/03/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Ещё нужно аудио (музыку с вконтакта слушать), Google Analytics и загружалки файлов типа SWFUpload.
     
     
  • 4.27, Аноним (-), 17:16, 21/03/2011 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > Ещё нужно аудио (музыку с вконтакта слушать)

    Музыка с вконтакта работала.

    > Google Analytics

    Analytics не видел, но google finance не работало.

    > и загружалки файлов типа SWFUpload.

    Такого п--ца в жизни ни разу не видел. Да вообще за использование остального перечисленного убивал бы не думая.

     
  • 2.9, paulus (ok), 08:39, 21/03/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Через раз, уж лучше использовать на ютубе html5. Что-то затих Lightspark. Как они в сравнении? Никто не проверял?
     
     
  • 3.36, Аноним (-), 23:10, 21/03/2011 [^] [^^] [^^^] [ответить]  
  • +/
    lightspark не показывает вообще ничего.
     
     
  • 4.43, runoverheads (ok), 23:40, 30/03/2011 [^] [^^] [^^^] [ответить]  
  • +/
    он через GLSL работает, возможно его видиха не держит
     
  • 2.10, Анон (?), 08:45, 21/03/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Предыдущие версии ютуб не показывали, ну да я не расстроился и не пытался чинить. Возможно я просто неправильно его приготовил (на генту). Рекламные баннеры показывает исправно. Новый еще не пробовал.
     
     
  • 3.28, Аноним (-), 17:17, 21/03/2011 [^] [^^] [^^^] [ответить]  
  • +/
    > Предыдущие версии ютуб не показывали, ну да я не расстроился и не
    > пытался чинить. Возможно я просто неправильно его приготовил (на генту). Рекламные
    > баннеры показывает исправно. Новый еще не пробовал.

    Показывали, не врите. Собирал из FreeBSD'шных портов.

     
     
  • 4.38, Анон (?), 06:48, 22/03/2011 [^] [^^] [^^^] [ответить]  
  • +/
    > Показывали, не врите. Собирал из FreeBSD'шных портов.

    У меня не показывал. Ну я же говорю, что не углублялся, может и можно было заставить. Обновил на 8.9 - теперь показывает.

     
  • 2.15, СуперАноним (?), 11:02, 21/03/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Использую плагин для Konqueror. Рекламу показыввает исправно :) А вот видео на YouTube лишь редкое некоторое, на RuTube вообще не показывает.
     
  • 2.21, rshadow (?), 12:35, 21/03/2011 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Debian, FF 3.5
    Ютуб отлично показывает, баннеры тоже. Флеш игры идут почти все кроме некоторых особо упоротых экземпляров.
     

  • 1.8, IdeaFix (?), 06:26, 21/03/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • –1 +/
    Пытался использовать его в x64 оси с x64 браузером - не впечатлило. Даже с графиками в статьях ixbt проблемы.
     
  • 1.17, x0r (??), 11:26, 21/03/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    не нашел бинарные сборки. дайте ссылку плиз Linux x86-64 и win32
     
     
  • 2.18, pavlinux (ok), 12:05, 21/03/2011 [^] [^^] [^^^] [ответить]  
  • +/
    http://pavlinux.ru/gnash/libgnashplugin.so (AMD64)

     
     
  • 3.39, Zenittur (?), 13:43, 22/03/2011 [^] [^^] [^^^] [ответить]  
  • +/
    На FireFox не заработал... В плагинах не появляется. Видимо порушены зависимости (у меня напрмиер VDPAU в системе нет) или ещё из-за чего-нибудь.
     
     
  • 4.40, pavlinux (ok), 14:03, 22/03/2011 [^] [^^] [^^^] [ответить]  
  • +/
    > На FireFox не заработал... В плагинах не появляется. Видимо порушены зависимости (у
    > меня напрмиер VDPAU в системе нет) или ещё из-за чего-нибудь.

    Я его кидаю в ~/.mozilla/firefox/$profile/plugins

    С VDPAU оно не работает :( Ему нужны gstreamer-plugins/gstreamer-base

    Зависимости такие:

            linux-vdso.so.1 =>  (0x00007fff3fbff000)
            /lib/ld-linux.so.2 (0x00007fdd1e4a5000)
            libglib-2.0.so.0 => /lib64/tls/x86_64/libglib-2.0.so.0 (0x00007fdd1df47000)
            librt.so.1 => /lib64/tls/x86_64/librt.so.1 (0x00007fdd1dd3d000)
            libX11.so.6 => /usr/lib64/tls/libX11.so.6 (0x00007fdd1d9fa000)
            libbz2.so.1 => /lib64/tls/x86_64/libbz2.so.1 (0x00007fdd1d7eb000)
            liblber-2.4.so.2 => /usr/lib64/tls/liblber-2.4.so.2 (0x00007fdd1d5dc000)
            libstdc++.so.6 => /usr/lib64/tls/libstdc++.so.6 (0x00007fdd1d2d2000)
            libm.so.6 => /lib64/tls/x86_64/libm.so.6 (0x00007fdd1d07b000)
            libc.so.6 => /lib64/tls/x86_64/libc.so.6 (0x00007fdd1cd0e000)
            libgcc_s.so.1 => /lib64/tls/x86_64/libgcc_s.so.1 (0x00007fdd1caf7000)
            libpcre.so.0 => /lib64/tls/x86_64/libpcre.so.0 (0x00007fdd1c8c1000)
            libpthread.so.0 => /lib64/tls/x86_64/libpthread.so.0 (0x00007fdd1c6a4000)
            libxcb.so.1 => /usr/lib64/tls/libxcb.so.1 (0x00007fdd1c486000)
            libdl.so.2 => /lib64/tls/x86_64/libdl.so.2 (0x00007fdd1c282000)
            libXau.so.6 => /usr/lib64/tls/libXau.so.6 (0x00007fdd1c07d000)

    На ютуб не показывает HD видео, пока всё не закэширует дёргается картинка.
    Короча какашка, но по сайтам лазить можно.

     
  • 2.22, lxoid (ok), 15:35, 21/03/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Какой смысл использовать его на винде?
     
     
  • 3.31, Noldo (ok), 17:53, 21/03/2011 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Ну не дырявые же адобовские блобы юзать. И потом FOSS.
     
     
  • 4.33, Аноним (-), 19:38, 21/03/2011 [^] [^^] [^^^] [ответить]  
  • +/
    На дырявом микрософтовском блобе есть разница что юзать?
     
     
  • 5.34, zazik (ok), 19:53, 21/03/2011 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > На дырявом микрософтовском блобе есть разница что юзать?

    Да, конечно. Уменьшение точек отказа. Ко мне достучаться как раз только через браузер можно, а самая уязвимая в нём вещь - Adobe Flash.

     
     
  • 6.41, pavlinux (ok), 14:04, 22/03/2011 [^] [^^] [^^^] [ответить]  
  • +/
    > Ко мне достучаться как раз только через браузер можно,

    Это иллюзия :)


     
     
  • 7.42, zazik (ok), 14:13, 22/03/2011 [^] [^^] [^^^] [ответить]  
  • +/
    >> Ко мне достучаться как раз только через браузер можно,
    > Это иллюзия :)

    А какими ещё способами? У флэшек авторан отключен, подключения снаружи закрыты, варезный софт я не ставлю и вообще очень подозрительно отношусь к "чужим" файлам.

     

  • 1.19, kvm (??), 12:12, 21/03/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    От что пишут на официальном сайте:

    Win32 users can now download an executable based on the 0.8.2 release, which is now seriously out of date, and won't work with YouTube.

     
  • 1.32, qbbr (ok), 18:35, 21/03/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    А benchmark'и есть (Gnash vs Flash)?
     
  • 1.37, Нукаська (?), 23:54, 21/03/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    ребята а подскажите плиз, есть ли под линукс программы для работы с флэшем? ну типа редактировать и чтоб as3 работал? я одно время както заинтересовался этим вопросом, ничего не нашел... ну там хотя была какаято кривая прога, но она уж очень совсем неадекватная... совсем совсем нет ничего адекватного для работы с флэшем под линуксом?
     
     
  • 2.46, AlexYeCu (?), 11:48, 11/07/2011 [^] [^^] [^^^] [ответить]  
  • +/
    > ребята а подскажите плиз, есть ли под линукс программы для работы с
    > флэшем? ну типа редактировать и чтоб as3 работал? я одно время
    > както заинтересовался этим вопросом, ничего не нашел... ну там хотя была
    > какаято кривая прога, но она уж очень совсем неадекватная... совсем совсем
    > нет ничего адекватного для работы с флэшем под линуксом?

    Для программирования навалом: flex SDK (и FlaxBuilder), mtasc, haxe, flashtools.
    А вот для анимации нет практически ничего — единственный вариант это покадровая сборка из картинок.

     

  • 1.44, runoverheads (ok), 23:52, 30/03/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Какой смысл эти плагинов (gnash и lightspark) если они кроме youtube ничего не могут, ни vkontakt ни rutube, а youtube итак есть html5...
     
  • 1.45, Аноним (-), 14:40, 02/04/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    поставил. Не работает вообще. Реклама только дрыгается.
     
     Добавить комментарий
    Имя:
    E-Mail:
    Текст:



    Спонсоры:
    Inferno Solutions
    Hosting by Hoster.ru
    Хостинг:

    Закладки на сайте
    Проследить за страницей
    Created 1996-2021 by Maxim Chirkov
    Добавить, Поддержать, Вебмастеру